Subject: [Capwap] TC will be added to textual convention in MIB drafts

From: young <[email-masked]>
Date: Fri, 26 Sep 2008 09:08:54 +0800

Hi, according to suggestion from Chris and David,
TC will be added to textual convention in MIB drafts.

Regards
Richard

-----邮件原件-----
发件人: Chris Elliott [mailto:[email-masked]] 
发送时间: 2008年9月25日 23:38
收件人: young 00338
抄送: [email-masked]; Yong Zhang
主题: Re: Kindly give some suggestion for TC in MIBs

Richard,

After reading the rest of the email threads from today, I agree with  
David--add "TC" to the textual convention instead of adding "Obj" to  
the object name. This keeps the object names shorter and more usable,  
while extending the name of the TC, which is used much less by users  
of the MIB module.

Chris.

On Sep 25, 2008, at 11:32 AM, Chris Elliott wrote:

> Richard,
>
> I'd recommend something like your second method, method b.
>
> Also, as a base name, "capwapBase" sees too long to me as it leads  
> to very long object names. Inside Cisco, we usually shorten the  
> prefix to only the initials. In this case, you could use "cwb", for  
> example. Names in SNMP do not have to be unique, but it is desirable  
> that they are. I don't see any standard MIB modules using "cwb" as a  
> prefix. There are a couple of Cisco-proprietary MIB modules using  
> "cwb", however, they only use it in the conformance/compliance  
> sections and they only use "cwbAtm", "cwbIlmi", and "cwbPort".
>
> Chris.
>
> On Sep 24, 2008, at 9:07 PM, young wrote:
>
>> HI,
>> Yong joined the MIB works, and became co-editors of MIB drafts.
>> We have done lots of improvement work these days.
>> We have some questions and hope mailing list could give some  
>> suggestion.
>> I will send separated email about each question in the mailing list.
>> Kindly give your response.
>>
>> Now, most TCs have the following problem:
>> 1. smilint complains about:
>> mibs/CAPWAP-MIB:314: [5] {identifier-case-match} warning: identifier
>> `capwapWTPId' differs from `CapwapWTPId' only in case
>> * CapwapWTPId is an example.
>>
>> Now, there are two methods here.
>> a)       Rename object
>> In the new version of Base MIB draft, we intend to use capwapBase  
>> as prefix to MIB
>> Objects. We could keep current TC ” CapwapWTPId”,and rename object  
>> “capwapWtpId”
>> as “capwapBaseWtpId”.
>> The problem is: TC doesn’t use CapwapBase as prefix, then TC and  
>> object will use different prefix
>> (except first character in the prefix)) whether this way is  
>> acceptable or not?
>>
>> b)       Rename object
>> TC “CapwapWTPId' is rename as CapwapBaseWTPId to follow prefix rule  
>> mentioned above.
>> Object of capwapBaseWtpId is renamed as capwapBaseWtpObj.
>> If use this method, we have to ensure the name of object is good  
>> enough.
>> The new name is good ?
>>
>> Please suggest which method is better or you have some other  
>> suggestion?
>>
>> Regards
>> Richard
>>
>>
>>
>
>
> --
> Chris Elliott
> CCIE# 2013
> RTP, NC, USA
> +1-919-392-2146
> [email-masked]
>
>
>

--
Chris Elliott
CCIE# 2013
RTP, NC, USA
+1-919-392-2146
[email-masked]

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap